from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_schedules.create_agent_schedule(agent_id="<id>", schedule={
"type": "interval",
"interval_seconds": 581769,
"timezone": "UTC",
}, input=[])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentSchedules.createAgentSchedule({
agentId: "<id>",
createAgentScheduleRequest: {
schedule: {
type: "interval",
intervalSeconds: 581769,
timezone: "UTC",
},
input: [],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentSchedules.CreateAgentScheduleAsync(
agentId: "<id>",
body: new MeetKai.MKA1.Types.Components.CreateAgentScheduleRequest() {
Schedule = AgentScheduleSpec.CreateInterval(
new AgentScheduleSpecInterval() {
Type = TypeInterval.Interval,
IntervalSeconds = 581769,
}
),
Input = CreateAgentScheduleRequestInputUnion.CreateArrayOfCreateAgentScheduleRequestInput(
new List<CreateAgentScheduleRequestInput>() {}
),
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents/{agent_id}/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule": {
"type": "once",
"run_at": "2023-11-07T05:31:56Z",
"timezone": "UTC"
},
"input": "<string>",
"name": "<string>",
"conversation": "<unknown>",
"previous_response_id": "<string>",
"context_management": [
{
"type": "compaction",
"compact_threshold": 1001
}
],
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedule: {type: 'once', run_at: '2023-11-07T05:31:56Z', timezone: 'UTC'},
input: '<string>',
name: '<string>',
conversation: '<unknown>',
previous_response_id: '<string>',
context_management: [{type: 'compaction', compact_threshold: 1001}],
metadata: {}
})
};
fetch('https://apigw.mka1.com/api/v1/agents/{agent_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "agent.schedule",
"id": "<string>",
"agent_id": "<string>",
"name": "<string>",
"schedule": {
"type": "once",
"run_at": "2023-11-07T05:31:56Z",
"timezone": "UTC"
},
"input": "<unknown>",
"conversation": "<unknown>",
"previous_response_id": "<string>",
"context_management": [
{
"type": "compaction",
"compact_threshold": 1001
}
],
"metadata": {},
"temporal_schedule_id": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_id": "<string>",
"run_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}Crear un horario de agentes
Crea un programa temporal respaldado de una sola vez, intervalo o cron que inicia las ejecuciones normales del agente guardadas.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_schedules.create_agent_schedule(agent_id="<id>", schedule={
"type": "interval",
"interval_seconds": 581769,
"timezone": "UTC",
}, input=[])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentSchedules.createAgentSchedule({
agentId: "<id>",
createAgentScheduleRequest: {
schedule: {
type: "interval",
intervalSeconds: 581769,
timezone: "UTC",
},
input: [],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentSchedules.CreateAgentScheduleAsync(
agentId: "<id>",
body: new MeetKai.MKA1.Types.Components.CreateAgentScheduleRequest() {
Schedule = AgentScheduleSpec.CreateInterval(
new AgentScheduleSpecInterval() {
Type = TypeInterval.Interval,
IntervalSeconds = 581769,
}
),
Input = CreateAgentScheduleRequestInputUnion.CreateArrayOfCreateAgentScheduleRequestInput(
new List<CreateAgentScheduleRequestInput>() {}
),
}
);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
Cuerpo
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
1 - 200001 - 120Valor JSON arbitrario.
Estrategias de gestión del contexto a aplicar durante la generación de respuestas por el agente. Soporta la compactación, que resume el historial de conversación anterior cuando el contexto excede un umbral de tokens.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Respuesta
Horario creado.
agent.schedule active, paused, completed, deleted - Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Valor JSON arbitrario.
Valor JSON arbitrario.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
¿Esta página le ayudó?